curl -X DELETE https://zeplo.ai/api/subscriptions/1 \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
{
"success": true,
"message": "Subscription cancelled",
"data": {
"id": 1,
"status": "cancelled",
"endDate": "2026-02-01T23:59:59Z"
}
}
Subscriptions & Plans
POST Cancel Subscription
Cancel a user subscription.
DELETE
/
api
/
subscriptions
/
:id
curl -X DELETE https://zeplo.ai/api/subscriptions/1 \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
{
"success": true,
"message": "Subscription cancelled",
"data": {
"id": 1,
"status": "cancelled",
"endDate": "2026-02-01T23:59:59Z"
}
}
Cancel subscription
DELETE /api/subscriptions/:id
Cancel an active subscription.
Headers
string
required
Your API key
string
required
Your API secret key
string
required
WhatsApp channel ID
integer
required
Subscription ID.
curl -X DELETE https://zeplo.ai/api/subscriptions/1 \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
{
"success": true,
"message": "Subscription cancelled",
"data": {
"id": 1,
"status": "cancelled",
"endDate": "2026-02-01T23:59:59Z"
}
}
The subscription remains active until the end of the current billing period.
